cancel
Showing results for 
Search instead for 
Did you mean: 

neo4j-harness scala version clash

I am using neo4j-harness 4.4.7 with maven, which internally uses Scala 2.12.

I am also using spring-kafka-test, which internally uses Scala 2.13.

Maven is picking 2.13 by default, meaning I get ClassNotFoundExceptions on my tests using neo4j-harness. If I force Maven to use Scala 2.12, then the Kafka tests don't work.

Has anyone found a way around this, or does anyone know if an upgrade to 2.13 is on the roadmap for neo4j-harness any time soon? Thanks

0 REPLIES 0
Nodes 2022
Nodes
NODES 2022, Neo4j Online Education Summit

On November 16 and 17 for 24 hours across all timezones, you’ll learn about best practices for beginners and experts alike.